#77 [0.078] PING PONG

closed
nobody
None
5
2010-06-25
2010-01-17
Eric Lembregts
No

I had some troubles with PONG on my server window. So I read that in the latest version this should be fixed.

But I'm still getting the PONG responses in one of my server windows, I've got ZNC setup with two users both used by me. Two different servers.

[11:32:11] * PONG from chat.be.krey.net: lembregtse
-
[11:38:41] * PONG from chat.be.krey.net: lembregtse
-
[11:45:11] * PONG from chat.be.krey.net: lembregtse
-
[11:55:11] * PONG from chat.be.krey.net: lembregtse
-
[12:05:11] * PONG from chat.be.krey.net: lembregtse
-
[12:11:42] * PONG from chat.be.krey.net: lembregtse
-
[12:18:11] * PONG from chat.be.krey.net: lembregtse
-
[12:24:41] * PONG from chat.be.krey.net: lembregtse
-
[12:31:11] * PONG from chat.be.krey.net: lembregtse
-
[12:37:41] * PONG from chat.be.krey.net: lembregtse
-
[12:47:41] * PONG from chat.be.krey.net: lembregtse
-
[12:54:11] * PONG from chat.be.krey.net: lembregtse
-
[13:24:11] * PONG from chat.be.krey.net: lembregtse
-
[13:30:41] * PONG from chat.be.krey.net: lembregtse

Discussion

  • flakes
    flakes
    2010-01-17

    Which client do you use?

     
  • Eric Lembregts
    Eric Lembregts
    2010-01-17

    Yeah Sorry, I had to be quick, so here is some more information:

    - ZNC 0.078 (latest stable)
    - Mirc 6.35 (latest stable)

    I first used the older version of ZNC (0.076) in combination with one server irc://irc.osirc.org and got a lot of PONG replies there.

    Now I am using ZNC (0.078) in combination with two servers, the same irc://irc.osirc.org and irc://irc.krey.net and now I'm getting a lot of PONG replies on the latter, not on osirc anymore.

    My MIRC installation is setup to not display PONG messages.

     
  • flakes
    flakes
    2010-01-17

    Ok, I was able to reproduce... We will come up with a fix shortly.

    To psychon et al:

    "Normal" IRC (server-initiated ping):

    (test) IRC -> ZNC [PING :slartibartfast.osirc.org]
    (test) ZNC -> CLI [:*raw!raw@znc.in PRIVMSG test :IRC -> [PING :slartibartfast.osirc.org]]
    (test) ZNC -> IRC [PONG :slartibartfast.osirc.org]
    (test) ZNC -> CLI [PING :slartibartfast.osirc.org]
    (test) CLI -> ZNC [PONG :slartibartfast.osirc.org]
    (test) ZNC -> CLI [:*raw!raw@znc.in PRIVMSG test :YOU -> [PONG :slartibartfast.osirc.org]]

    This weird server (ZNC-initiaited ping):

    (test2) ZNC -> IRC [PING :ZNC]
    (test2) ZNC -> CLI [PING :ZNC]
    (test2) IRC -> ZNC [:chat.be.krey.net PONG chat.be.krey.net :test2]
    (test2) ZNC -> CLI [:*raw!raw@znc.in PRIVMSG test2 :IRC -> [:chat.be.krey.net PONG chat.be.krey.net :test2]]
    (test2) ZNC -> CLI [:chat.be.krey.net PONG chat.be.krey.net :test2]
    (test2) CLI -> ZNC [PONG :ZNC]
    (test2) ZNC -> CLI [:*raw!raw@znc.in PRIVMSG test2 :YOU -> [PONG :ZNC]]

    Suggestions?

     
  • Eric Lembregts
    Eric Lembregts
    2010-01-18

    I wanted to add some information, it does not seem to happen all the times. As from this morning I no longer get the PONG messages, I only got one.

    Kind regards,

    Eric

     
  • Psychon
    Psychon
    2010-06-25

    Should be fixed in r2043, thanks.

     
  • Psychon
    Psychon
    2010-06-25

    • status: open --> closed